Description

It was not possible to see file types different from the supported scripts ones in the Scripting composer, while we can do it now
(2438). But if I double-click e.g. on a text file in the Scripting composer, a StackOverflowError occurs with a terrifying untranslated
message: "Error de la applicacion. Es conveniente que salga de la aplicación"

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4322: Nasty StackOverflo... Closed 08/16/2016

History
#1 - 07/26/2016 02:23 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano

Hola Antonio.
Acabo de probar en la 2439 y en linux (Ubuntu 14.04) eso me funciona correctamente (no recuerdo haber cambiado nada de eso desde la 2438). 
Igual es un problema solo de windows. 
Cuando tenga un rato intentare probarlo en windows.
Si tienes a mano el log con el error y me lo puedes adjuntar igual puedo ver que esta pasando.

#2 - 07/26/2016 04:50 PM - Antonio Falciano
- File gvSIG.log added

Hi Joaquín,
I think that this issue is not very easy to replicate. In fact, if I have a scripting home folder with only few scripts, I can open, edit and save text files (e.g.
.txt, .inf., .properties, etc.) without problem. Instead, if I use the scripting home folder with all my testing scripts, the error occurs. I have to exclude
some of them in order to isolate which one causes the issue. In the meanwhile I attach the gvsig.log.

#3 - 08/04/2016 06:29 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#4 - 08/21/2016 11:21 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4322: Nasty StackOverflowError in plugin system while SPI lookup added
#5 - 08/21/2016 11:22 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.3.0-2442  (rev. org.gvsig.desktop-2.0.149)
- Status changed from New to Fixed

Parece ser que Cesar Martinez, relacionado con el ticket #4322, a dado con el problema y la solucion.

#6 - 08/23/2016 01:12 PM - Antonio Falciano
- Status changed from Fixed to Closed

Thanks to Cesar, it works like a charm now.

Files
gvSIG.log 500 KB 07/26/2016 Antonio Falciano
